Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDataGrid

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.richfaces.component.UIDataGrid
                              org.richfaces.component.html.HtmlDataGrid

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

    public class HtmlDataGrid

extends UIDataGrid

Component-Type org.richfaces.DataGrid Component-Family org.richfaces.DataGrid Renderer-Type org.richfaces.DataGridRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlDataGrid()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAlign()` left|center|right [CI] Deprecated.
`java.lang.String` | `getBgcolor()` Deprecated.
`java.lang.String` | `getBorder()` This attributes specifies the width of the frame around a component Getter for border
`java.lang.String` | `getCaptionClass()` Space-separated list of CSS style class(es) that are be applied to caption for this component Getter for captionClass
`java.lang.String` | `getCaptionStyle()` CSS style(s) is/are to be applied to caption when this component is rendered Getter for captionStyle
`java.lang.String` | `getCellpadding()` This attribute specifies the amount of space between the border of the cell and its contents Getter for cellpadding
`java.lang.String` | `getCellspacing()` This attribute specifies the amount of space between the border of the cell and its contents.
`java.lang.String` | `getColumnClasses()` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`int` | `getColumns()` Quantity of columns Getter for columns
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFooterClass()` Space-separated list of CSS style class(es) that are be applied to footer for this component Getter for footerClass
`java.lang.String` | `getFrame()` void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible.
`java.lang.String` | `getHeaderClass()` Space-separated list of CSS style class(es) that are be applied to header for this component Getter for headerClass
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnRowClick()` HTML: a script expression; a pointer button is clicked on row Getter for onRowClick
`java.lang.String` | `getOnRowDblClick()` HTML: a script expression; a pointer button is double-clicked on row Getter for onRowDblClick
`java.lang.String` | `getOnRowMouseDown()` HTML: script expression; a pointer button is pressed down on row Getter for onRowMouseDown
`java.lang.String` | `getOnRowMouseMove()` HTML: a script expression; a pointer is moved within of row Getter for onRowMouseMove
`java.lang.String` | `getOnRowMouseOut()` HTML: a script expression; a pointer is moved away of row Getter for onRowMouseOut
`java.lang.String` | `getOnRowMouseOver()` HTML: a script expression; a pointer is moved onto of row Getter for onRowMouseOver
`java.lang.String` | `getOnRowMouseUp()` HTML: script expression; a pointer button is released on row Getter for onRowMouseUp
`java.lang.String` | `getRowClasses()` A comma-delimited list of CSS style classes that is applied to popup table rows.
`java.lang.String` | `getRules()` This attribute specifies which rules will appear between cells within a table.
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getSummary()` This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Getter for summary
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.String` | `getWidth()` This attribute specifies the desired width of the entire table and is intended for visual user agents.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAlign(java.lang.String __align)` left|center|right [CI] Deprecated.
`void` | `setBgcolor(java.lang.String __bgcolor)` Deprecated.
`void` | `setBorder(java.lang.String __border)` This attributes specifies the width of the frame around a component Setter for border
`void` | `setCaptionClass(java.lang.String __captionClass)` Space-separated list of CSS style class(es) that are be applied to caption for this component Setter for captionClass
`void` | `setCaptionStyle(java.lang.String __captionStyle)` CSS style(s) is/are to be applied to caption when this component is rendered Setter for captionStyle
`void` | `setCellpadding(java.lang.String __cellpadding)` This attribute specifies the amount of space between the border of the cell and its contents Setter for cellpadding
`void` | `setCellspacing(java.lang.String __cellspacing)` This attribute specifies the amount of space between the border of the cell and its contents.
`void` | `setColumnClasses(java.lang.String __columnClasses)` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`void` | `setColumns(int __columns)` Quantity of columns Setter for columns
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setFooterClass(java.lang.String __footerClass)` Space-separated list of CSS style class(es) that are be applied to footer for this component Setter for footerClass
`void` | `setFrame(java.lang.String __frame)` void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible.
`void` | `setHeaderClass(java.lang.String __headerClass)` Space-separated list of CSS style class(es) that are be applied to header for this component Setter for headerClass
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnRowClick(java.lang.String __onRowClick)` HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
`void` | `setOnRowDblClick(java.lang.String __onRowDblClick)` HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
`void` | `setOnRowMouseDown(java.lang.String __onRowMouseDown)` HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
`void` | `setOnRowMouseMove(java.lang.String __onRowMouseMove)` HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove
`void` | `setOnRowMouseOut(java.lang.String __onRowMouseOut)` HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut
`void` | `setOnRowMouseOver(java.lang.String __onRowMouseOver)` HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver
`void` | `setOnRowMouseUp(java.lang.String __onRowMouseUp)` HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
`void` | `setRowClasses(java.lang.String __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
`void` | `setRules(java.lang.String __rules)` This attribute specifies which rules will appear between cells within a table.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setSummary(java.lang.String __summary)` This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setWidth(java.lang.String __width)` This attribute specifies the desired width of the entire table and is intended for visual user agents.

Methods inherited from class org.richfaces.component.UIDataGrid
`dataChildren, fixedChildren, getElements, setElements`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, createDataModel, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, isRowAvailable, iterate, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlDataGrid

    public HtmlDataGrid()

  Constructor to init default renderers

Method Detail

### setAlign

    public void setAlign(java.lang.String __align)

  left|center|right [CI] Deprecated. This attribute specifies the position of the table with respect to the document. Permitted values: left: The table is to the left of the document. center: The table is to the center of the document. right: The table is to the right of the document Setter for align

  Parameters:
    `align` - - new value

### getAlign

    public java.lang.String getAlign()

  left|center|right [CI] Deprecated. This attribute specifies the position of the table with respect to the document. Permitted values: left: The table is to the left of the document. center: The table is to the center of the document. right: The table is to the right of the document Getter for align

  Returns:
    align value from local variable or value bindings

### setBgcolor

    public void setBgcolor(java.lang.String __bgcolor)

  Deprecated. This attribute sets the background color for the document body or table cells. This attribute sets the background color of the canvas for the document body (the BODY element) or for tables (the TABLE, TR, TH, and TD elements). Additional attributes for specifying text color can be used with the BODY element. This attribute has been deprecated in favor of style sheets for specifying background color information Setter for bgcolor

  Parameters:
    `bgcolor` - - new value

### getBgcolor

    public java.lang.String getBgcolor()

  Deprecated. This attribute sets the background color for the document body or table cells. This attribute sets the background color of the canvas for the document body (the BODY element) or for tables (the TABLE, TR, TH, and TD elements). Additional attributes for specifying text color can be used with the BODY element. This attribute has been deprecated in favor of style sheets for specifying background color information Getter for bgcolor

  Returns:
    bgcolor value from local variable or value bindings

### setBorder

    public void setBorder(java.lang.String __border)

  This attributes specifies the width of the frame around a component Setter for border

  Parameters:
    `border` - - new value

### getBorder

    public java.lang.String getBorder()

  This attributes specifies the width of the frame around a component Getter for border

  Returns:
    border value from local variable or value bindings

### setCaptionClass

    public void setCaptionClass(java.lang.String __captionClass)

  Space-separated list of CSS style class(es) that are be applied to caption for this component Setter for captionClass

  Parameters:
    `captionClass` - - new value

### getCaptionClass

    public java.lang.String getCaptionClass()

  Space-separated list of CSS style class(es) that are be applied to caption for this component Getter for captionClass

  Returns:
    captionClass value from local variable or value bindings

### setCaptionStyle

    public void setCaptionStyle(java.lang.String __captionStyle)

  CSS style(s) is/are to be applied to caption when this component is rendered Setter for captionStyle

  Parameters:
    `captionStyle` - - new value

### getCaptionStyle

    public java.lang.String getCaptionStyle()

  CSS style(s) is/are to be applied to caption when this component is rendered Getter for captionStyle

  Returns:
    captionStyle value from local variable or value bindings

### setCellpadding

    public void setCellpadding(java.lang.String __cellpadding)

  This attribute specifies the amount of space between the border of the cell and its contents Setter for cellpadding

  Parameters:
    `cellpadding` - - new value

### getCellpadding

    public java.lang.String getCellpadding()

  This attribute specifies the amount of space between the border of the cell and its contents Getter for cellpadding

  Returns:
    cellpadding value from local variable or value bindings

### setCellspacing

    public void setCellspacing(java.lang.String __cellspacing)

  This attribute specifies the amount of space between the border of the cell and its contents. The attribute also specifies the amount of space to leave between cells Setter for cellspacing

  Parameters:
    `cellspacing` - - new value

### getCellspacing

    public java.lang.String getCellspacing()

  This attribute specifies the amount of space between the border of the cell and its contents. The attribute also specifies the amount of space to leave between cells Getter for cellspacing

  Returns:
    cellspacing value from local variable or value bindings

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### getColumnClasses

    public java.lang.String getColumnClasses()

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Getter for columnClasses

  Returns:
    columnClasses value from local variable or value bindings

### setColumns

    public void setColumns(int __columns)

  Quantity of columns Setter for columns

  Specified by:
    `setColumns` in class `UIDataGrid`
  Parameters:
    `columns` - - new value

### getColumns

    public int getColumns()

  Quantity of columns Getter for columns

  Specified by:
    `getColumns` in class `UIDataGrid`
  Returns:
    columns value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setFooterClass

    public void setFooterClass(java.lang.String __footerClass)

  Space-separated list of CSS style class(es) that are be applied to footer for this component Setter for footerClass

  Parameters:
    `footerClass` - - new value

### getFooterClass

    public java.lang.String getFooterClass()

  Space-separated list of CSS style class(es) that are be applied to footer for this component Getter for footerClass

  Returns:
    footerClass value from local variable or value bindings

### setFrame

    public void setFrame(java.lang.String __frame)

  void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible. Possible values: void: No sides. This is the default value. above: The top side only. below: The bottom side only. hsides: The top and bottom sides only. vsides: The right and left sides only. lhs: The left-hand side only. rhs: The right-hand side only. box: All four sides. border: All four sides Setter for frame

  Parameters:
    `frame` - - new value

### getFrame

    public java.lang.String getFrame()

  void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible. Possible values: void: No sides. This is the default value. above: The top side only. below: The bottom side only. hsides: The top and bottom sides only. vsides: The right and left sides only. lhs: The left-hand side only. rhs: The right-hand side only. box: All four sides. border: All four sides Getter for frame

  Returns:
    frame value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  Space-separated list of CSS style class(es) that are be applied to header for this component Setter for headerClass

  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  Space-separated list of CSS style class(es) that are be applied to header for this component Getter for headerClass

  Returns:
    headerClass value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setOnRowClick

    public void setOnRowClick(java.lang.String __onRowClick)

  HTML: a script expression; a pointer button is clicked on row Setter for onRowClick

  Parameters:
    `onRowClick` - - new value

### getOnRowClick

    public java.lang.String getOnRowClick()

  HTML: a script expression; a pointer button is clicked on row Getter for onRowClick

  Returns:
    onRowClick value from local variable or value bindings

### setOnRowDblClick

    public void setOnRowDblClick(java.lang.String __onRowDblClick)

  HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick

  Parameters:
    `onRowDblClick` - - new value

### getOnRowDblClick

    public java.lang.String getOnRowDblClick()

  HTML: a script expression; a pointer button is double-clicked on row Getter for onRowDblClick

  Returns:
    onRowDblClick value from local variable or value bindings

### setOnRowMouseDown

    public void setOnRowMouseDown(java.lang.String __onRowMouseDown)

  HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown

  Parameters:
    `onRowMouseDown` - - new value

### getOnRowMouseDown

    public java.lang.String getOnRowMouseDown()

  HTML: script expression; a pointer button is pressed down on row Getter for onRowMouseDown

  Returns:
    onRowMouseDown value from local variable or value bindings

### setOnRowMouseMove

    public void setOnRowMouseMove(java.lang.String __onRowMouseMove)

  HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove

  Parameters:
    `onRowMouseMove` - - new value

### getOnRowMouseMove

    public java.lang.String getOnRowMouseMove()

  HTML: a script expression; a pointer is moved within of row Getter for onRowMouseMove

  Returns:
    onRowMouseMove value from local variable or value bindings

### setOnRowMouseOut

    public void setOnRowMouseOut(java.lang.String __onRowMouseOut)

  HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut

  Parameters:
    `onRowMouseOut` - - new value

### getOnRowMouseOut

    public java.lang.String getOnRowMouseOut()

  HTML: a script expression; a pointer is moved away of row Getter for onRowMouseOut

  Returns:
    onRowMouseOut value from local variable or value bindings

### setOnRowMouseOver

    public void setOnRowMouseOver(java.lang.String __onRowMouseOver)

  HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver

  Parameters:
    `onRowMouseOver` - - new value

### getOnRowMouseOver

    public java.lang.String getOnRowMouseOver()

  HTML: a script expression; a pointer is moved onto of row Getter for onRowMouseOver

  Returns:
    onRowMouseOver value from local variable or value bindings

### setOnRowMouseUp

    public void setOnRowMouseUp(java.lang.String __onRowMouseUp)

  HTML: script expression; a pointer button is released on row Setter for onRowMouseUp

  Parameters:
    `onRowMouseUp` - - new value

### getOnRowMouseUp

    public java.lang.String getOnRowMouseUp()

  HTML: script expression; a pointer button is released on row Getter for onRowMouseUp

  Returns:
    onRowMouseUp value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### getRowClasses

    public java.lang.String getRowClasses()

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Getter for rowClasses

  Returns:
    rowClasses value from local variable or value bindings

### setRules

    public void setRules(java.lang.String __rules)

  This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values: none: No rules. This is the default value. groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only. rows: Rules will appear between rows only. cols: Rules will appear between columns only. all: Rules will appear between all rows and columns Setter for rules

  Parameters:
    `rules` - - new value

### getRules

    public java.lang.String getRules()

  This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values: none: No rules. This is the default value. groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only. rows: Rules will appear between rows only. cols: Rules will appear between columns only. all: Rules will appear between all rows and columns Getter for rules

  Returns:
    rules value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setSummary

    public void setSummary(java.lang.String __summary)

  This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary

  Parameters:
    `summary` - - new value

### getSummary

    public java.lang.String getSummary()

  This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Getter for summary

  Returns:
    summary value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  This attribute specifies the desired width of the entire table and is intended for visual user agents. When the value is percentage value, the value is relative to the user agent's available horizontal space. In the absence of any width specification, table width is determined by the user agent Setter for width

  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  This attribute specifies the desired width of the entire table and is intended for visual user agents. When the value is percentage value, the value is relative to the user agent's available horizontal space. In the absence of any width specification, table width is determined by the user agent Getter for width

  Returns:
    width value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `org.ajax4jsf.component.UIDataAdaptor`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `org.ajax4jsf.component.UIDataAdaptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.